> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

---
id: 71726a4f-266f-4a62-a524-52c12cafb1cd
---

# Retrieve private app daily API usage

> Retrieve the daily API usage for private apps in the account, along with information about usage limits.

> [accordion] Supported products

> [accordion] Required Scopes


## OpenAPI

````yaml specs/legacy/v3/account-account-info-v3.json GET /account-info/v3/api-usage/daily/private-apps
openapi: 3.0.1
info:
  title: Account Account Info
  description: Get information about a HubSpot account and its API usage.
  version: v3
  x-hubspot-product-tier-requirements:
    marketing: FREE
    sales: FREE
    service: FREE
    cms: FREE
    commerce: FREE
    crmHub: FREE
    dataHub: FREE
  x-hubspot-related-documentation:
    - name: Account information API guide
      url: >-
        https://developers.hubspot.com/docs/guides/api/settings/account-information-api
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Basic
paths:
  /account-info/v3/api-usage/daily/private-apps:
    get:
      tags:
        - Basic
      summary: Retrieve private app daily API usage
      description: >-
        Retrieve the daily API usage for private apps in the account, along with
        information about usage limits.
      operationId: get-/account-info/v3/api-usage/daily/private-apps
      parameters: []
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionResponseApiUsageNoPaging'
              example:
                results:
                  - collectedAt: '2020-04-10T06:46:40.789Z'
                    currentUsage: 1
                    fetchStatus: SUCCESS
                    name: private-apps-api-calls-daily
                    resetsAt: '2020-04-10T04:00:00Z'
                    usageLimit: 500000
        default:
          $ref: '#/components/responses/Error'
          description: ''
      security: []
components:
  schemas:
    CollectionResponseApiUsageNoPaging:
      required:
        - results
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/ApiUsage'
    ApiUsage:
      required:
        - collectedAt
        - currentUsage
        - fetchStatus
        - name
        - usageLimit
      type: object
      properties:
        collectedAt:
          type: string
          description: Indicates when the cache was last updated.
          format: date-time
        currentUsage:
          type: integer
          description: How many API calls an account has made for the current day.
          format: int32
        fetchStatus:
          type: string
          description: >-
            Status of fetching the information, including if the data came from
            the cache.
          enum:
            - CACHED
            - FAILURE
            - NOTFOUND
            - SUCCESS
            - TIMEOUT
        name:
          type: string
          description: Name of the limit type.
        resetsAt:
          type: string
          description: Time that the limit will reset.
          format: date-time
        usageLimit:
          type: integer
          description: >-
            Limits by which a single integration can consume the HubSpot public
            APIs.
          format: int32
      description: API usage and limits information for a HubSpot account.
    Error:
      required:
        - category
        - correlationId
        - message
      type: object
      properties:
        category:
          type: string
          description: The error category
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Context about the error condition
          example: >-
            {invalidPropertyName=[propertyValue], missingScopes=[scope1,
            scope2]}
        correlationId:
          type: string
          description: >-
            A unique identifier for the request. Include this value with any
            error reports or support tickets
          format: uuid
          example: aeb5f871-7f07-4993-9211-075dc63e7cbf
        errors:
          type: array
          description: further information about the error
          items:
            $ref: '#/components/schemas/ErrorDetail'
        links:
          type: object
          additionalProperties:
            type: string
          description: >-
            A map of link names to associated URIs containing documentation
            about the error or recommended remediation steps
        message:
          type: string
          description: >-
            A human readable message describing the error along with remediation
            steps where appropriate
          example: An error occurred
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
      description: >-
        Represents an error response returned by the API when an operation
        fails. This component is used in various endpoints to provide detailed
        information about the error encountered.
      example:
        message: Invalid input (details will vary based on the error)
        correlationId: aeb5f871-7f07-4993-9211-075dc63e7cbf
        category: VALIDATION_ERROR
        links:
          knowledge-base: https://www.hubspot.com/products/service/knowledge-base
    ErrorDetail:
      required:
        - message
      type: object
      properties:
        code:
          type: string
          description: The status code associated with the error detail
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Context about the error condition
          example: '{missingScopes=[scope1, scope2]}'
        in:
          type: string
          description: The name of the field or parameter in which the error was found.
        message:
          type: string
          description: >-
            A human readable message describing the error along with remediation
            steps where appropriate
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
      description: >-
        Represents detailed information about an error that occurred in the API.
        This component is used to provide additional context and specifics about
        errors, typically as part of an error response.
  responses:
    Error:
      description: An error occurred.
      content:
        '*/*':
          schema:
            $ref: '#/components/schemas/Error'

````